Spire nu functioneaza pe iOS 5.1 si s-ar putea sa nu il avem vreodata portat

9

  Daca aveti iOS 5.1 atunci probabil ati observat ca nu puteti instala versiunea originala a Spire din Cydia deoarece framework-urile disponibile in el ar fi incompatibile cu noua versiune a sistemului de operare. Conform unui cunoscut dezvoltator de aplicatii pentru Cydia, Spire ar putea fi indisponibil pe iOS 5.1 deoarece Apple nu a furnizat o versiune necriptata a sistemului sau de operare, asa cum s-a intamplat cu iOS 5.0.1. Practic lipsa acestor fisiere necriptate ar face aproape imposibila dezvoltarea pachetului de instalare a Spire pe iOS 5.1 indiferent ce solutie de jailbreak va fi lansata pentru aceasta versiune a sistemului de operare.

  Spire functiona oricum prin intermediul unor proxy-uri care care preluau comenzile date de utilizatori deci nu vorbim despre un sistem perfect insa multumita celor de la Apple s-ar putea sa nu il mai putem folosi pe viitor. Desi legal s-ar putea sa nu folosim Siri, exista intotdeauna metode ilegale de a instala asistentul si sunt sigur ca in viitor vor fi disponibile cateva prin Cydia insa ramane la atitudinea fiecaruia daca va dori sa le foloseasca sau nu.